<?php
/**
 * Created by PhpStorm.
 * User: sscho
 * Date: 30/12/2016
 * Time: 22:04
 */


/**
 * Registers the settings for the puddinq-dashboard settingspage.
 *
 * This function holds 99% of the info for the settingsform. Settings
 * can easily be added using the $args.
 * - boldtext - bold text above selectbox
 * - text - italic text under bold text
 * - multi - array with key is unique identifier and value is label
 */


function puddinq_dash_register_settings()
{
    add_settings_section(
        'puddinq_dash_settings',
        __('Main settings', 'puddinq-dash'),
        'puddinq_dashboard_intro', // 3.1
        'puddinq-dashboard'
    );

    $widg_ser_array = get_option('puddinq_dashboard_widg_array');
    $widg_array = unserialize($widg_ser_array);

    add_settings_field(
        'puddinq_dashboard_widgets',
        __('Hide basic widgets', 'puddinq-dash'),
        'puddinq_dashboard_multi_block_on_off', // 1.1
        'puddinq-dashboard',
        'puddinq_dash_settings',
        array(
            'class' => 'pudash-widgets',
            'boldtext' => __('Show/Hide widgets', 'puddinq-dash'),
            'text' => __('Select to hide', 'puddinq-dash'),
            'multi' => $widg_array
        )
    );

    register_setting( 'puddinq_dashboard', 'puddinq_dashboard_widg_block', 'puddinq_dashboard_test' );

    add_settings_field(
        'puddinq_dashboard_misc',
        __('Optical misc', 'puddinq-dash'),
        'puddinq_dashboard_multi_on_off', // 1.2
        'puddinq-dashboard',
        'puddinq_dash_settings',
        array(
            'boldtext' => __('Change logo, colors and more', 'puddinq-dash'),
            'text' => __('Select to activate', 'puddinq-dash'),
            'class' => 'pudash-misc',
            'multi' => array(
                'extras_logo' => __('Change logo', 'puddinq-dash'),
                'extras_color' => __('Change colors', 'puddinq-dash')
            )
        )
    );


    add_settings_field(
        'puddinq_dashboard_images',
        __('Optical images', 'puddinq-dash'),
        'puddinq_dashboard_select_image', // 1.2
        'puddinq-dashboard',
        'puddinq_dash_settings',
        array(
            'class' => 'pudash-images',
            'boldtext' => __('Select an image', 'puddinq-dash'),
            'text' => __('Works if misc action is activated', 'puddinq-dash'),
            'multi' => array(
                'images_logo' => __('Change logo', 'puddinq-dash'),
            )
        )
    );

    register_setting( 'puddinq_dashboard', 'puddinq_dashboard', 'puddinq_dashboard_test' );

}

add_action('admin_init', 'puddinq_dash_register_settings');

